USB_GET_URB(9)

NAME
usb_get_urb - increments the reference count of the urb

SYNOPSIS

struct urb * usb_get_urb (struct urb * urb);

ARGUMENTS

urb pointer to the urb to modify, may be NULL

DESCRIPTION

This must be called whenever a urb is transferred from a device driver to a host controller driver. This allows proper reference counting to happen for urbs.

A pointer to the urb with the incremented reference counter is returned.